package cn.ischoolcode.javabook.scene4;

/* 
 * 爱校码
 * http://www.ischoolcode.cn/
 *  
 * @author zcj
 */

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import model.Member;
import util.EPanelTypes;
import view.client.BaseClient;
import view.client.ChatFrame;


public class UpdateChat extends UnicastRemoteObject implements IUpdateChat
{
    //私有属性
    private ChatFrame chatFrame;
    private BaseClient baseClient;

    //公共构造方法
    public UpdateChat(ChatFrame chatFrame)throws RemoteException
    {
        this.chatFrame=chatFrame;
        this.baseClient=this.chatFrame.getBaseClient();
    }

    @Override
    public void sendMessage(String username, String message,String groupName) throws RemoteException, Exception
    {
        //根据groupName向所有人广播。
        if(this.chatFrame.getGroupName().equals(groupName))
            this.chatFrame.getMessageTextArea().append(String.format("[%s]%s\n", username, message));
    }
}
